4 Replies Latest reply: Dec 2, 2013 4:24 PM by Old Toad
DorisPage Level 1 Level 1 (0 points)

So, I just spent a couple of weeks putting together my Christmas calendar to go out to the grandmas and grandpas but when I try to buy it, it says that my old version of iPhoto7 isn't accepted anymore.  I can't download an upgrade because I have an old OS.  Are there any options for me?  I'm frustrated and tired (with two toddlers) and just want to get this calendar done before I even think about upgrading everything.  Help.


MacBook Air, Mac OS X (10.5.8)